#!/bin/sh

case $1 in
	start)
		echo $(date) "Starting VirtualHere..." >> /tmp/vhusbd.txt
		/usr/local/AppCentral/virtualhere/bin/vhusbd -b -c /usr/local/AppCentral/virtualhere/bin/config.ini >> /tmp/vhusbd.txt 2>&1
		rc=$?
		if [[ $rc -eq 0 ]]; then
			echo $(date) "Started successfully" >> /tmp/vhusbd.txt
			exit 0
		else
			echo $(date) "Failed to start" >> /tmp/vhusbd.txt
			exit 1
		fi
	    ;;
	stop)
		echo $(date) "Stopping VirtualHere..." >> /tmp/vhusbd.txt
		killall -q vhusbd
		sleep 6 # give enough time for vhusbd to shutdowwn
		PID=`pidof vhusbd`
		if [ "$PID" -ne "" ]; then
			echo $(date) "Problems stopping VirtualHere...kill -SIGKILL $PID..." >> /tmp/vhusbd.txt
			echo $(date) "If you want to restart VirtualHere you may need to reboot your NAS beforehand" >> /tmp/vhusbd.txt
			kill -SIGKILL $PID
		fi
		echo $(date) "Stopped successfully" >> /tmp/vhusbd.txt
		exit 0
	    ;;
	*)
		echo "usage: $0 {start|stop}"
		exit 1
		;;
esac

